View Issue Details

IDProjectCategoryView StatusLast Update
0032926LazarusWidgetsetpublic2018-12-21 18:33
ReporterCudaText man Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformmacOS 10.8 
Product Version1.9 (SVN) 
Summary0032926: Carbon/Cocoa: Pen vertical line (width=nn, height=1) looks diagonal
Descriptionthis bug affects painting of custom caret (horizontal 1 pixel line) in CudaText.
both carbon/cocoa.

demo added.
shows 3 lines: 1, 2, 3 pixels height, all big width. 1pixel line paints diagonal.
TagsNo tags attached.
Fixed in Revisionr56924, r56952
LazTarget-
WidgetsetCarbon, Cocoa
Attached Files

Relationships

related to 0034681 new Carbon/Cocoa: canvas line of len=1pixel is not visible 

Activities

CudaText man

2018-01-02 07:14

reporter  

tst-canvas-bug-3.zip (4,321 bytes)

CudaText man

2018-01-02 07:18

reporter  

diag-bad.png (22,486 bytes)   
diag-bad.png (22,486 bytes)   

Dmitry Boyarintsev

2018-01-02 12:37

developer   ~0105258

resolved for Cocoa
please test and close, if ok.

CudaText man

2018-01-02 18:19

reporter   ~0105263

fixed on Cocoa, thank you.
can you fix the same for Carbon [CudaText main version is carbon]?

CudaText man

2018-01-03 06:26

reporter  

carbon.diff (474 bytes)   
Index: lcl/interfaces/carbon/carboncanvas.pp
===================================================================
--- lcl/interfaces/carbon/carboncanvas.pp	(revision 56928)
+++ lcl/interfaces/carbon/carboncanvas.pp	(working copy)
@@ -1272,8 +1272,8 @@
   if (absDeltaX<=1) and (absDeltaY<=1) then
   begin
     // special case for 1-pixel lines
-    tx := bx + 0.05;
-    ty := by + 0.05;
+    tx := bx + 0.05 * deltaX;
+    ty := by + 0.05 * deltaY;
   end
   else
   begin
carbon.diff (474 bytes)   

CudaText man

2018-01-03 06:26

reporter   ~0105276

pls apply carbon.diff.

Juha Manninen

2018-01-04 14:42

developer   ~0105322

Applied the patch for Carbon.

Issue History

Date Modified Username Field Change
2018-01-02 07:13 CudaText man New Issue
2018-01-02 07:14 CudaText man File Added: tst-canvas-bug-3.zip
2018-01-02 07:18 CudaText man File Added: diag-bad.png
2018-01-02 12:37 Dmitry Boyarintsev Fixed in Revision => 56924
2018-01-02 12:37 Dmitry Boyarintsev LazTarget => -
2018-01-02 12:37 Dmitry Boyarintsev Note Added: 0105258
2018-01-02 12:37 Dmitry Boyarintsev Status new => resolved
2018-01-02 12:37 Dmitry Boyarintsev Resolution open => fixed
2018-01-02 12:37 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2018-01-02 18:19 CudaText man Note Added: 0105263
2018-01-02 18:20 CudaText man Status resolved => assigned
2018-01-02 18:20 CudaText man Resolution fixed => reopened
2018-01-03 06:26 CudaText man File Added: carbon.diff
2018-01-03 06:26 CudaText man Note Added: 0105276
2018-01-04 14:42 Juha Manninen Fixed in Revision 56924 => r56924, r56952
2018-01-04 14:42 Juha Manninen Note Added: 0105322
2018-01-04 14:42 Juha Manninen Status assigned => resolved
2018-01-04 14:42 Juha Manninen Resolution reopened => fixed
2018-12-21 18:33 Dmitry Boyarintsev Relationship added related to 0034681